﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Wecker
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonAdd_Click(object sender, RoutedEventArgs e)
        {
            string title = textBoxTitle.Text;
            string hoursText = textBoxHours.Text;
            int hours;
            bool result = int.TryParse(hoursText, out hours);
            string minutesText = textBoxMinutes.Text;
            int minutes;
            result &= int.TryParse(minutesText, out minutes);

            if(result && hours >= 0 && hours <= 23 && minutes >= 0 && minutes <= 59)
            {
                Meeting m = new Meeting(title, hours, minutes);
                listBoxMeetings.Items.Add(m);
            }
            else
            {
                MessageBox.Show("Fehler");
            }
        }

        private void buttonDelete_Click(object sender, RoutedEventArgs e)
        {
            int i = listBoxMeetings.SelectedIndex;
            if (i >= 0)
            {
                listBoxMeetings.Items.RemoveAt(i);
            }
        }
    }
}
